Bug 642913 - RepoError: database disk image is malformed
Summary: RepoError: database disk image is malformed
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 14
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:08f695c30c6baf504...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-14 06:51 UTC by He Rui
Modified: 2014-01-21 23:16 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 16:52:39 UTC
Type: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (182.10 KB, text/plain)
2010-10-14 06:51 UTC, He Rui
no flags Details
Attached traceback automatically from anaconda. (182.27 KB, text/plain)
2010-10-14 08:45 UTC, He Rui
no flags Details

Description He Rui 2010-10-14 06:51:46 UTC
The following was filed automatically by anaconda:
anaconda 14.19 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 55, in newFunc
    raise Errors.RepoError, str(e)
  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 298, in _loadFiles
    "WHERE  packages.pkgId = ?", (self.pkgId,))
  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 372, in returnFileTypes
    self._loadFiles()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/yuminstall.py", line 900, in getDownloadPkgs
    for filetype in txmbr.po.returnFileTypes():
  File "/usr/lib64/python2.7/site-packages/pyanaconda/yuminstall.py", line 1492, in doPostSelection
    (self.dlpkgs, self.totalSize, self.totalFiles)  = self.ayum.getDownloadPkgs()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/backend.py", line 277, in doPostSelection
    return anaconda.backend.doPostSelection(anaconda)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 212, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 131, in gotoNext
    self.moveStep()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1190, in nextClicked
    self.anaconda.dispatch.gotoNext()
RepoError: database disk image is malformed

Comment 1 He Rui 2010-10-14 06:51:53 UTC
Created attachment 453389 [details]
Attached traceback automatically from anaconda.

Comment 2 He Rui 2010-10-14 08:45:57 UTC
Created attachment 453406 [details]
Attached traceback automatically from anaconda.

Comment 3 He Rui 2010-10-14 09:07:46 UTC
Steps:
0. Prepared a F-13 minimal installed system in KVM.
1. Boot F14-Final-TC1-disc1.iso on the system.
2. Choose 'upgrade system' and select 'Create new bootloader configuration'. Click 'Next'
3. You'll see a screen popped up saying: The software you have selected for install require the following discs: #1, #2.
4. Don't click 'continue'. Just force off the guest
5. Execute the above step1 and 2 again, exception occurred during checking dependencies.   

Reproducible:
100%

Comment 4 Chris Lumens 2010-10-14 13:00:09 UTC
Sounds like turning off the guest has somehow corrupted the RPM database, since it was likely open at the time.  I'm not sure there's anything anyone can do about this

Comment 5 Fedora End Of Life 2012-08-16 16:52:42 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.